## fbi 1.23

=== debian/changelog ===
fbi (1.23) unstable; urgency=low

  * unbundled libpcd.
  * spell fix (closes: #124610).

 -- Gerd Knorr <kraxel@debian.org>  Fri, 15 Feb 2002 10:17:28 +0100

fbi (1.22) unstable; urgency=low

  * updated image loading functions.
  * updated the man-page (closes: #130135).

 -- Gerd Knorr <kraxel@debian.org>  Thu, 24 Jan 2002 12:35:55 +0100

fbi (1.21) unstable; urgency=low

  * fixed bug in fbdev code.
  * fixed build dependences (closes: #123762).
  * fixed debian/rules install target (closes: #124076).

 -- Gerd Knorr <kraxel@debian.org>  Mon, 17 Dec 2001 10:46:24 +0100

fbi (1.20) unstable; urgency=low

  * fixed wraparound for <nr>g jumps with >127 image files.
  * major rewrite of the image loading functions.  fbi has native support for
    a few more image formats now, image formats are identified by magic number
    instead of file extention (closes: #87782).
  * added some console switch checks to long-running loops, it is often
    possible to switch to another console now while fbi is busy with
    loading / scaling images.
  * devfs support.
  * allow builds without X11 installed (you loose the ability to fetch
    fonts from a X11 fontserver then, reading xwd files doesn't work too).

 -- Gerd Knorr <kraxel@debian.org>  Tue, 11 Dec 2001 17:16:45 +0100

fbi (1.11) unstable; urgency=low

  * keep image scroll position on zoom in/out.
  * made fbgs catch ghostscript failures (closes: #106675).

 -- Gerd Knorr <kraxel@debian.org>  Mon,  1 Oct 2001 19:48:27 +0200

fbi (1.10) unstable; urgency=low

  * reversed font search order (console fonts first, xfs last) to avoid
    trouble in case xfs not running (closes: #103164).
  * updated version number (closes: #103277)

 -- Gerd Knorr <kraxel@debian.org>  Wed,  4 Jul 2001 10:23:30 +0200

fbi (1.9) unstable; urgency=low

  * new text rendering code.
  * updated console font search path.
  * added code to fetch fonts from a X11 font server.

 -- Gerd Knorr <kraxel@debian.org>  Tue, 26 Jun 2001 15:39:36 +0200

fbi (1.8.1) unstable; urgency=low

  * added libjpeg to the build dependences (closes: 92549).

 -- Gerd Knorr <kraxel@debian.org>  Fri,  6 Apr 2001 08:45:02 +0000

fbi (1.8) unstable; urgency=low

  * more friendly error message when not started from the
    linux console.
  * documentation updates.
  * updated standards-version.
  * added build-dependency to debhelper.

 -- Gerd Knorr <kraxel@debian.org>  Sat, 31 Mar 2001 15:15:33 +0200

fbi (1.7) unstable; urgency=medium

  * minor fix in help text (replaced tab with spaces).
  * make fbi ignore SIGTSTP (closes: #74453)

 -- Gerd Knorr <kraxel@debian.org>  Tue, 10 Oct 2000 19:57:33 +0200

fbi (1.6) unstable; urgency=low

  * fixed a few bugs introduced with the new pause option in 1.5
  * pause is more sticky now - you have to turn it off manually,
    it isn't done automatically if you jump to the next image.

 -- Gerd Knorr <kraxel@debian.org>  Sun,  1 Oct 2000 15:10:47 +0200

fbi (1.5) unstable; urgency=low

  * added long options + pause (Steve Kemp <skx@tardis.ed.ac.uk>)

 -- Gerd Knorr <kraxel@debian.org>  Sat, 23 Sep 2000 17:02:13 +0200

fbi (1.4) unstable; urgency=low

  * fixed the broken -d switch
  * added gamma correction support
  * '0' is a valid timeout value now.
  * added a wrapper script for reading
    postscript/pdf files with fbi
  * added zooming
  * a few more minor tweaks...

 -- Gerd Knorr <kraxel@debian.org>  Sat, 19 Aug 2000 21:38:42 +0200

fbi (1.3) unstable; urgency=low

  * some minor bugfixes.
  * wrote a man-page.
  * debainized the package.  my first debian package :-)

 -- Gerd Knorr <kraxel@goldbach.in-berlin.de>  Thu, 13 Apr 2000 23:48:49 +0200

Local variables:
mode: debian-changelog
End:

## fbi 1.23woody1

=== Makefile ===
all build auto checkit release port:
	./configure
	$(MAKE) $@

clean distclean realclean:
	@true

=== debian/changelog ===
fbi (1.23woody1) oldstable-security; urgency=high

  * Fix insecure temp file generation in fbgs. (CVE-2006-1695)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 15 May 2006 03:07:16 +0000

=== debian/control ===
Source: fbi
Section: graphics
Build-Depends: debhelper, libjpeg-dev, libtiff-dev, libpng2-dev, libungif4-dev, xlibs-dev, xutils, libpcd-dev
Priority: optional
Maintainer: Gerd Knorr <kraxel@debian.org>
Standards-Version: 3.5.2

Package: fbi
Architecture: any
Depends: ${shlibs:Depends}
Suggests: imagemagick
Description: linux FrameBuffer Imageviewer
 This is a image viewer for linux framebuffer devices.  It has buildin
 support for a number of common formats.  For unknown files it tries to
 use convert from the ImageMagick package as external converter.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

export DH_COMPAT=1
destdir=$(shell pwd)/debian/tmp

build:
	test -f config.h || ./configure         \
		--prefix=/usr                   \
		--mandir=/usr/share/man         \
		|| { cat config.log; exit 1; }
	make depend
	make

clean:
	$(MAKE) realclean
	dh_clean

install: build
	$(MAKE) install DESTDIR=$(destdir)
	mkdir -p $(destdir)/usr/lib/mime/packages
	install -m644 debian/mime $(destdir)/usr/lib/mime/packages/fbi

binary-indep: install
	# nop

binary-arch: install
#	dh_installdebconf	
	dh_installdocs README
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## fbi 2.06-2ubuntu1

=== Makefile ===

PACKAGE	:= $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
VERSION	:= $(shell dpkg-parsechangelog | sed -n 's/^Version: \(.*:\|\)//p')
DEBARCH	:= $(shell dpkg-architecture -qDEB_HOST_ARCH)

DSC	:= $(PACKAGE)_$(VERSION).dsc
CHANGES	:= $(PACKAGE)_$(VERSION)_$(DEBARCH).changes

# config
PRESULT	:= /work/pbuilder/result


##########################################################
# normal devel builds

default: build lintian

build:
	rm -f .ok
	(time dpkg-buildpackage -nc -us -uc -rfakeroot && touch .ok) \
		2>&1 | tee build.log
	test -f .ok

lintian:
	lintian ../$(CHANGES)

clean:
	fakeroot debian/rules clean
	rm -f build.log .ok


##########################################################
# build releases

source ../$(DSC): clean
	dpkg-buildpackage -S -us -uc -rfakeroot

pbuild: ../$(DSC)
	(time sudo /usr/sbin/pbuilder build ../$(DSC) && touch .ok) \
		2>&1 | tee build.log
	test -f .ok
	-lintian -i $(PRESULT)/$(CHANGES)

release: ../$(DSC)
	#sudo /usr/sbin/pbuilder --debbuildopts '-si' build ../$(DSC)
	sudo /usr/sbin/pbuilder build ../$(DSC)
	debsign $(PRESULT)/$(CHANGES)


##########################################################
# misc

work unpack: clean
	debian/rules work

.PHONY: default build pbuild lintian clean release port
.PHONY: source work unpack

=== debian/changelog ===
fbi (2.06-2ubuntu1) hardy; urgency=low

  * Merge from debian unstable2.06-2 (LP: #190650), remaining changes:
    - Modify Maintainer value to match the DebianMaintainerField
      specification.
    - Rebuild against libgif-dev instead of libungif4-dev

 -- Emanuele Gentili <emgent@emanuele-gentili.com>  Sun, 10 Feb 2008 12:08:13 +0100

fbi (2.06-2) unstable; urgency=low

  * Stop using popen() when passing files to imagemagick for conversion.
    Problem spotted by Jakub Wilk. (Closes: #422034)
  * Add updated MIME definitions, kindly provided by Guillaume
    (giggzounet@gmail.com):
    - Don't wildcard all image files, only the ones that actually work
    - Add definitions for fbgs (Closes: #460556)
  * Stop using DH_COMPAT, instead use debian/compat
  * Bump to compat level 6 (no changes needed)
  * Bump standards version to 3.7.2 (no changes needed)
  * Depend on ghostscript, rather than gs-gpl

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 19 Jan 2008 18:30:42 +0100

fbi (2.06-1ubuntu1) hardy; urgency=low

  [ Ilya Eremin ]
  * Rebuild against libgif-dev instead of libungif4-dev (LP: #174252)

  [ Sarah Hobbs ]
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Tue, 01 Jan 2008 14:06:35 +1100

fbi (2.06-1) unstable; urgency=low

  * New upstream release 2.06
    - Drop fix-autozoom.diff (obsolete)
    - New Patches: dont-strip-binaries.diff, enable-debug-syms.diff
      Build with debug symbols and call dh_strip, which honors
      "DEB_BUILD_OPTIONS=nostrip" (Closes: #436822)
	
 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 31 Aug 2007 23:35:19 +0200

fbi (2.05-4) unstable; urgency=low

  * Build against libcurl4-gnutls-dev

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 05 Aug 2007 21:51:12 +0200

fbi (2.05-3) unstable; urgency=low

  * Fix autozoom option for multiple images, patch by Alan Curry
    (Closes: #413768)
  * Build against libcurl4-dev

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 18 May 2007 17:38:48 +0200

fbi (2.05-2) unstable; urgency=low

  * Do not beep after processing images for fbgs, patch by Jan Braun.
    (Closes: #361390)
  * Fix typos in fbgs manpage reported by A Costa. (Closes: #311224)
  * Pass more fbi options to fbgs, patch by Jan Braun. (Closes: #361393)
  * Document direction of rotation in exiftran. (Closes: #357406)
 
 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 12 Aug 2006 17:11:49 +0200

fbi (2.05-1) unstable; urgency=low

  * New maintainer, thanks Gerd. (Closes: #379250)
  * New upstream release 2.05. (Closes: #367344)
    - Includes fix for insecure temp file usage in fbgs 
      [CVE-2006-1695, DSA-1068] (Closes: #361370)
    - Includes fix for correct Postscript sanitising
      [CVE-2006-3119, DSA-1124]
    - Includes spelling fixes by A. Costa (Closes: #311226)
    - Includes support for color display in fbgs with the new
      -c option, based on patch by Jan Braun (Closes: #279566)
    - Fix pointer arithmetic (Closes: #369049)
    - Document zooming with "s" and fix rounding of zoom factor,
      patch by Jan Braun (Closes: #361383)
    - fbi now maintains zoom levels between multiple images
      (Closes: #361388)
  * Acknowledge NMUs. (Closes: #262805, #282890, #346726, #322236)
  * Add dependency on gs-gpl for fbgs. (Closes: #356897)
  * Correct build dependency on libcurl. (Closes: #320057, #320058)
  * Gerd has changed his name with his marriage, update copyright
    file.
  * Update upstream download location (Closes: #379047)
  * Bump debhelper level to 5
  * Mention fbgs in package description (Closes: #266811)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 23 Jul 2006 14:31:21 +0200

fbi (2.01-1.4) unstable; urgency=low

  * Non-maintainer upload.

  [ Victor Seva ]
  * xlibs-dev transition. Closes: #346726

  [ Amaya Rodrigo Sastre ]
  * Bumped Standards-Version to 3.6.2. No changes needed.
  * Updated the Free Software Foundation old postal address in
    debian/copyright.
  * Switch from deprecated dh_installmanpages to dh_installman.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 14 Jan 2006 23:55:00 +0100

fbi (2.01-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against libexif (Closes: #322236)

 -- Moritz Muehlenhoff <jmm@inutil.org>  Wed, 14 Sep 2005 22:47:06 +0200

fbi (2.01-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Updated Build-depends: libfontconfig1-dev (>= 2.2.3-4). Thanks to
    Stephen Quinney for the patch. Closes: #282890.

 -- Steve McIntyre <93sam@debian.org>  Sun, 28 Nov 2004 21:28:27 +0000

fbi (2.01-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium urgency to facilitate the libtiff transition.
  * Rebuild against libtiff4 (closes: #262805).

 -- Steve Langasek <vorlon@debian.org>  Wed,  4 Aug 2004 15:53:51 -0700

fbi (2.01-1) unstable; urgency=low

  * new release (closes: #255912, #253483).
  * rebuild closes: #256435.

 -- Gerd Knorr <kraxel@debian.org>  Wed, 30 Jun 2004 15:46:14 +0200

fbi (2.00-1) unstable; urgency=low

  * new release (closes: #235764, #238283).

 -- Gerd Knorr <kraxel@debian.org>  Tue,  8 Jun 2004 11:47:55 +0200

fbi (1.31) unstable; urgency=low

  * new release.
  * fbgs fixes, new scaling options (partly by Felix Schueller
    <fschueller@netcologne.de>)
  * can display jpeg comments now.

 -- Gerd Knorr <kraxel@debian.org>  Mon, 23 Feb 2004 12:32:54 +0100

fbi (1.30) unstable; urgency=low

  * new release.
  * make fbgs use tiff insead of jpeg (closes: #229150).
  * minor bugfixes.

 -- Gerd Knorr <kraxel@debian.org>  Tue, 27 Jan 2004 16:23:21 +0100

fbi (1.29) unstable; urgency=low

  * new release.
  * add lirc support (initial patch by Roberto De Leo <deleo@unica.it>)
  * fix minor bugs.

 -- Gerd Knorr <kraxel@debian.org>  Tue,  6 Jan 2004 21:13:55 +0100

fbi (1.28) unstable; urgency=low

  * new release.
  * added url support (most image formats, closes: #213839).
  * use fbdev color bits info (closes: #213761).



=== debian/control ===
Source: fbi
Section: graphics
Build-Depends: debhelper (>=5), libjpeg-dev, libtiff-dev, libpng3-dev | libpng-dev, libgif-dev, libx11-dev, libxext-dev, libxpm-dev, libxt-dev, x-dev, xutils, libpcd-dev, libexif-dev, libcurl4-gnutls-dev, libfreetype6-dev, libfontconfig1-dev (>= 2.2.3-4)
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Moritz Muehlenhoff <jmm@debian.org>
Standards-Version: 3.7.2

Package: fbi
Architecture: any
Depends: ${shlibs:Depends}, ghostscript
Suggests: imagemagick
Description: Linux frame buffer image viewer
 This is an image viewer for Linux frame buffer devices.  It has
 built-in support for a number of common image file formats.  For
 unknown files, it tries to use convert from the ImageMagick package
 as an external converter.
 It also includes fbgs, a Postscript and PDF viewer.

Package: exiftran
Architecture: any
Depends: ${shlibs:Depends}
Description: transform digital camera jpeg images
 exiftran is a command line utility to transform digital image jpeg
 images. It can do lossless rotations like jpegtran, but unlike
 jpegtran it cares about the EXIF data: It can rotate images
 automatically by checking the exif orientation tag, it updates the
 exif informaton if needed (image dimension, orientation), it also
 rotates the exif thumbnail. It can process multiple images at once.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

destdir=$(shell pwd)/debian/tmp

build: work build-stamp

work:
	sh debian/prepare-work

build-stamp:
	$(MAKE) -C work/* prefix=/usr
	touch build-stamp

clean:
	rm -rf work work.tmp build-stamp
	dh_clean

install: build
	$(MAKE) -C work/* install DESTDIR=$(destdir) prefix=/usr
	dh_movefiles

binary-indep: install
	true #nop

binary-arch: install
	dh_installdocs	-p fbi
	dh_installdocs	-p exiftran
	dh_installman
	dh_installchangelogs
	dh_installmenu
	dh_installmime
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## fbi 2.07

=== debian/changelog ===
fbi (2.07-11) unstable; urgency=medium

  * Link against libgif (Closes: #732143)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 28 Dec 2013 20:38:54 +0100

fbi (2.07-10) unstable; urgency=low

  * Build-depend on libpng-dev (Closes: #662321)
  * Bump standards version	

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 07 Mar 2012 20:58:59 +0100

fbi (2.07-9) unstable; urgency=low

  * Acknowledge NMU, thanks Arthur
  * Enable hardened build flags and fix fallout of -Werror=format-security
    Thanks, Julian Taylor (Closes: #646259)	

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 27 Dec 2011 19:24:57 +0100

fbi (2.07-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Include libjpeg8 compatibility code from upstream's 2.08 (Closes: #636166)

 -- Arthur de Jong <adejong@debian.org>  Sun, 02 Oct 2011 12:22:18 +0200

fbi (2.07-8) unstable; urgency=low

  * Apply patch from Nobuhiro Iwamatsu to ensure compatibility with
    libpng >= 1.4, thanks for the patch! (Closes: #635943)	
  * Bump standards version to 3.9.2 (no changes needed)	
  * Lintian cleanups	

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 30 Jul 2011 10:35:49 +0200

fbi (2.07-7) unstable; urgency=low

  * _Really_ switch to linux-any (Closes: #604657)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 14 Feb 2011 19:28:43 +0100

fbi (2.07-6) unstable; urgency=low

  * Switch to linux-any to ease the life for upcoming ports like
    Arm with hard float
  * Drop libpcd, which is to be removed.

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 01 Sep 2010 00:04:26 +0200

fbi (2.07-5) unstable; urgency=medium

  * Add sh4 and powerpcspe (Closes: #594013)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 23 Aug 2010 18:56:15 +0200

fbi (2.07-4) unstable; urgency=medium

  * Limit architectures to Linux (w/o s390)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 19 Aug 2010 23:15:17 +0200

fbi (2.07-3) unstable; urgency=low

  * Switch to source format 3.0 (quilt)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 23 Nov 2009 19:28:22 +0100

fbi (2.07-2) unstable; urgency=low

  * Fix FTBFS with new source format 3.0 (Closes: #538621)
  * Update policy to 3.8.3

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 30 Aug 2009 23:25:43 +0200

fbi (2.07-1) unstable; urgency=low

  * New upstream release
    - Drop dont-include-page-h.diff, merged upstream	 
    - Drop sanitise-imagemagick-call.diff, fixed upstream
    - Update fbgs-fix-manpage-typos.diff, party merged upstream	
    - Update dont-strip-binaries.diff
  * Update build deps:
    x-dev => x11proto-core-dev	
    libungif4-dev => libgif-dev
    xutils => x11-xfs-utils, x11-utils, x11-xserver-utils,
	      x11-session-utils, xfonts-utils (Some of these might
	      be unneeded, but for now I've merged all deps from the
	      xutils transition package. I'll revisit after Lenny
	      release)
  * Fix clean target	

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 12 Jun 2008 23:26:39 +0200

fbi (2.06-5) unstable; urgency=low

  * Rework packacking, the old one was rather intricate and instead
    of documenting it in README.Source I rather replaced it by a
    clean debhelper + quilt system
  * Build deps: Add quilt, update to libpng12-dev
  * Drop alternate dependency on gs-gpl again since ghostscript has
    migrated to testing by now.
  * Added Homepage entry
  * Update policy to 3.8.0	
 	
 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 07 Jun 2008 20:55:14 +0200

fbi (2.06-4) unstable; urgency=low

  * Pass noverbose option to fbgs, patch by Jan Braun. (Closes: #481611)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 21 May 2008 23:51:06 +0200

fbi (2.06-3) unstable; urgency=high

  * Stop including asm/page.h, which isn't provided by kernel headers
    in 2.6.25. fbi uses getpagesize() anyway. This fixes a FTBFS, hence
    urgency=high (Closes: #479976)
  * Readd alternate depends von gs-gpl, since ghostview is currently
    stuck testing-migration-wise	 
	
 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 08 May 2008 21:32:20 +0200

=== debian/control ===
Source: fbi
Section: graphics
Build-Depends: debhelper, libjpeg-dev, libtiff-dev, libpng-dev, libgif-dev, libx11-dev, libxext-dev, libxpm-dev, libxt-dev, x11proto-core-dev, libexif-dev, libcurl4-gnutls-dev, libfreetype6-dev, libfontconfig1-dev (>= 2.2.3-4), x11-xfs-utils, x11-utils, x11-xserver-utils, x11-session-utils, xfonts-utils
Priority: optional
Maintainer: Moritz Muehlenhoff <jmm@debian.org>
Standards-Version: 3.9.3
Homepage: http://linux.bytesex.org/fbida/

Package: fbi
Architecture: linux-any
Depends: ${shlibs:Depends}, ghostscript, ${misc:Depends}
Suggests: imagemagick
Description: Linux frame buffer image viewer
 This is an image viewer for Linux frame buffer devices.  It has
 built-in support for a number of common image file formats.  For
 unknown files, it tries to use convert from the ImageMagick package
 as an external converter.
 It also includes fbgs, a Postscript and PDF viewer.

Package: exiftran
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: transform digital camera jpeg images
 exiftran is a command line utility to transform digital image jpeg
 images. It can do lossless rotations like jpegtran, but unlike
 jpegtran it cares about the EXIF data: It can rotate images
 automatically by checking the exif orientation tag, it updates the
 exif informaton if needed (image dimension, orientation), it also
 rotates the exif thumbnail. It can process multiple images at once.

=== debian/rules ===
--- 
+++ 
@@ -4,21 +4,19 @@
 
 destdir=$(shell pwd)/debian/tmp
 
-build: work build-stamp
-
-work:
-	sh debian/prepare-work
+build: build-stamp
 
 build-stamp:
-	$(MAKE) -C work/* prefix=/usr
+	$(MAKE) -C . prefix=/usr
 	touch build-stamp
 
 clean:
-	rm -rf work work.tmp build-stamp
+	rm -rf build-stamp fbi thumbnail.cgi exiftran
 	dh_clean
+	$(MAKE) clean
 
 install: build
-	$(MAKE) -C work/* install DESTDIR=$(destdir) prefix=/usr
+	$(MAKE) -C . install DESTDIR=$(destdir) prefix=/usr
 	dh_movefiles
 
 binary-indep: install
@@ -42,3 +40,13 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
+
+
+
+
+
+
+
+
+
+

## fbi 2.09

=== debian/changelog ===
fbi (2.09-1ubuntu0.1) vivid; urgency=medium

  * d/patches/use-jpeg-turbo.diff: update JPEG_VERSION to 80. (LP: #1450949)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 23 Jun 2015 09:36:46 +0200

fbi (2.09-1) unstable; urgency=medium

  * New upstream release (Closes: #751699). Drop the following patches, 
    which are fixed/merged upstream:	
    - exiftran-manpage-rotate.diff
    - fbgs-fix-manpage-typos.diff
    - fbgs-no-beep.diff
    - fix-compat-with-png15.diff
    - fix-format-string.diff
  * Remove support-libjpeg8 and add patch by Ondrej Sury to migrate to
    libjpeg-turbo. Adapted to 2.09, also update debian/copyright for
    the JPEG bits (Closes: #763263)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 09 Oct 2014 22:33:23 +0200

fbi (2.07-14) unstable; urgency=medium

  * Fix build with make 4.0 even harder (Closes: #750263)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 16 Jun 2014 23:37:23 +0200

fbi (2.07-13) unstable; urgency=medium

  * Fix build with make 4.0 (Closes: #750263)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 06 Jun 2014 22:03:08 +0200

fbi (2.07-12) unstable; urgency=medium

  * Switch to a minimal rules file based on dh
  * Bump standards version
  * Update exiftran package description, thanks to Justin B Rye! 
    (Closes: #679912)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 30 Apr 2014 16:25:07 +0200

=== debian/control ===
Source: fbi
Section: graphics
Build-Depends: debhelper (>= 9), libjpeg-dev, libtiff-dev, libpng-dev, libgif-dev, libx11-dev, libxext-dev, libxpm-dev, libxt-dev, x11proto-core-dev, libexif-dev, libcurl4-gnutls-dev, libfreetype6-dev, libfontconfig1-dev (>= 2.2.3-4), x11-xfs-utils, x11-utils, x11-xserver-utils, x11-session-utils, xfonts-utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Moritz Muehlenhoff <jmm@debian.org>
Standards-Version: 3.9.5
Homepage: http://linux.bytesex.org/fbida/

Package: fbi
Architecture: linux-any
Depends: ${shlibs:Depends}, ghostscript, ${misc:Depends}
Suggests: imagemagick
Description: Linux frame buffer image viewer
 This is an image viewer for Linux frame buffer devices.  It has
 built-in support for a number of common image file formats.  For
 unknown files, it tries to use convert from the ImageMagick package
 as an external converter.
 It also includes fbgs, a Postscript and PDF viewer.

Package: exiftran
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: digital camera JPEG image transformer
 exiftran is a command line utility to transform digital camera JPEG
 images. It can do lossless rotations like jpegtran, but unlike jpegtran
 it can process multiple images at once, and it cares about the Exif data:
 it can rotate images automatically by checking the Exif orientation tag,
 it updates the Exif information (image dimensions/orientation) if needed,
 and it also rotates the Exif thumbnail.

## fbi 2.10

=== wr/Makefile ===
default:
	cd ..; $(MAKE)

=== debian/changelog ===
fbi (2.10-4ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:47:48 +1100

fbi (2.10-4ubuntu3) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:27:59 +0000

fbi (2.10-4ubuntu2) lunar; urgency=medium

  * Rebuild against latest tiff

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 07:25:43 -0500

fbi (2.10-4ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/use-jpeg-turbo.diff: update to 80.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 07 Jun 2020 10:24:40 +0200

fbi (2.10-4) unstable; urgency=medium

  * Fix build with GCC 10 (Closes: #957192)
  * Use debhelper-compat 10

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 06 Jun 2020 22:37:36 +0200

fbi (2.10-3ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/use-jpeg-turbo.diff: update to 80.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Feb 2019 11:27:36 +0100

fbi (2.10-3) unstable; urgency=medium

  * Demote dependency on ghostscript to a Recommends (Closes: #872466)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 29 Jan 2019 16:59:13 +0100

fbi (2.10-2ubuntu1) artful; urgency=low

  * Merge from Debian Sid. Remaining change:
    - debian/patches/use-jpeg-turbo.diff: update to 80.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 12 Aug 2017 13:20:39 -0500

fbi (2.10-2) unstable; urgency=medium

  * Make the build reproducible

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 08 Sep 2015 00:15:05 +0200

fbi (2.10-1ubuntu3) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:04:41 +0000

fbi (2.10-1ubuntu2) xenial; urgency=medium

  * No-change rebuild for giflib soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Oct 2015 10:08:50 +0000

fbi (2.10-1ubuntu1) wily; urgency=medium

  * debian/patches/use-jpeg-turbo.diff: update to 80. (LP: #1450949)

 -- Albert Astals Cid <albert.astals@canonical.com>  Tue, 23 Jun 2015 09:24:19 +0200

fbi (2.10-1) unstable; urgency=low

  * New upstream release. Many thanks to Stephane Aulery
    <saulery@free.fr> for working on several bugs with upstream. As
    such the new upstream release addresses several bugs:
    - Drop giflib patch, fixed upstream (Closes: #770951)
    - Drop fix-build-make4, fixed upstream (Closes: #771197)
    - Display PDF files in colour (Closes: #780643)
    - Clarify manpage (Closes: #691848)
    - By default, crop images with unconventional dimensions
      (Closes: #289667)
    - exiftran no longer changes the picture in automode if it is
      already well oriented (Closes: #385723)
  * Drop the unused build-dep on libcurl4-gnutls-dev, also thanks
    to Stephane (Closes: #771026)
  * Unversion libfontconfig1-dev build-dep, satisfied even in
    oldoldstable
  * Update Homepage:, thanks for Stephane (Closes: #769973)    

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 26 Apr 2015 13:10:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: fbi
 Section: graphics
-Build-Depends: debhelper (>= 9), libjpeg-dev, libtiff-dev, libpng-dev, libgif-dev, libx11-dev, libxext-dev, libxpm-dev, libxt-dev, x11proto-core-dev, libexif-dev, libcurl4-gnutls-dev, libfreetype6-dev, libfontconfig1-dev (>= 2.2.3-4), x11-xfs-utils, x11-utils, x11-xserver-utils, x11-session-utils, xfonts-utils
+Build-Depends: debhelper-compat (= 10), libjpeg-dev, libtiff-dev, libpng-dev, libgif-dev, libx11-dev, libxext-dev, libxpm-dev, libxt-dev, x11proto-core-dev, libexif-dev, libfreetype6-dev, libfontconfig1-dev, x11-xfs-utils, x11-utils, x11-xserver-utils, x11-session-utils, xfonts-utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Moritz Muehlenhoff <jmm@debian.org>
-Standards-Version: 3.9.5
-Homepage: http://linux.bytesex.org/fbida/
+Standards-Version: 4.5.0
+Homepage: https://www.kraxel.org/blog/linux/fbida/
 
 Package: fbi
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ghostscript, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: ghostscript
 Suggests: imagemagick
 Description: Linux frame buffer image viewer
  This is an image viewer for Linux frame buffer devices.  It has

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_build:
	make -C . prefix=/usr

## fbi 2.14

=== debian/changelog ===
fbi (2.14-3) unstable; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/tests/control: Create autopkgtest.

 -- Omar Zagonel El Laden <omarzladen@gmail.com>  Sat, 04 Oct 2025 11:37:02 -0300

fbi (2.14-2) unstable; urgency=medium

  * QA upload.
  * Fix building with GCC 15.  (Closes: #1096613)
  * Drop redundant Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 26 Sep 2025 02:38:22 +0200

fbi (2.14-1) unstable; urgency=medium

  * QA upload
  * New upstream version 2.14
  * Update build depends
  * Include fbpdf

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 30 Jan 2025 12:03:17 +0100

fbi (2.10-8) unstable; urgency=medium

  * QA upload.
  * add gbp.conf
  * add Vcs fields to debian/control
  * Use wrap-and-sort -satb for debian control files

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 07 May 2024 00:31:59 +0200

fbi (2.10-7) unstable; urgency=medium

  * QA upload.
  * debian/copyright: added missing Files and standalone License paragraphs.
  * debian/patches/:
      - fix-typo-executable.patch: created to fix a typo on the fbi executable.
      - fix-typos-manpages.patch: created to fix typos and apostrophe rendering
        on the manpages.

 -- David da Silva Polverari <polverari@debian.org>  Mon, 22 Apr 2024 18:10:08 +0000

fbi (2.10-6) unstable; urgency=medium

  * QA upload.
  * debian/clean: created to avoid FTBFS after successful build.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.7.0.
      - Migrated DH level to 13.
  * debian/copyright:
      - Migrated to machine-readable 1.0 format.
      - Updated packaging copyright information.
      - Updated upstream copyright information.
  * debian/exiftran.install: adapted due to DH level migration.
  * debian/fbi.install: adapted due to DH level migration.
  * debian/rules:
      - Exported 'verbose=1' to make build flags visible to blhc.
      - Exported DEB_BUILD_MAINT_OPTIONS to enable all hardening flags.
  * debian/upstream/metadata: created.
  * debian/watch: created.

 -- David da Silva Polverari <polverari@debian.org>  Mon, 22 Apr 2024 05:30:26 +0000

fbi (2.10-5) unstable; urgency=medium

  * Orphan package, set maintainer to Debian QA Group
  * Build depend on libfontconfig-dev and libfreetype-dev, not the
    legacy names
  * Bump standards version

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 22 Jul 2023 13:37:59 +0200

=== debian/control ===
Source: fbi
Section: graphics
Build-Depends:
 debhelper-compat (= 13),
 emscripten,
 libdrm-dev,
 libegl-dev,
 libepoxy-dev,
 libexif-dev,
 libfontconfig-dev,
 libfreetype-dev,
 libgbm-dev,
 libgif-dev,
 libjpeg-dev,
 libpixman-1-dev,
 libpng-dev,
 libpoppler-glib-dev,
 libtiff-dev,
 libx11-dev,
 libxext-dev,
 libxpm-dev,
 libxt-dev,
 x11-session-utils,
 x11-utils,
 x11-xfs-utils,
 x11-xserver-utils,
 x11proto-core-dev,
 xfonts-utils,
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Homepage: https://www.kraxel.org/blog/linux/fbida/
Vcs-Git: https://salsa.debian.org/debian/fbi.git
Vcs-Browser: https://salsa.debian.org/debian/fbi

Package: exiftran
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: digital camera JPEG image transformer
 exiftran is a command line utility to transform digital camera JPEG
 images. It can do lossless rotations like jpegtran, but unlike jpegtran
 it can process multiple images at once, and it cares about the Exif data:
 it can rotate images automatically by checking the Exif orientation tag,
 it updates the Exif information (image dimensions/orientation) if needed,
 and it also rotates the Exif thumbnail.

Package: fbi
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ghostscript,
Suggests:
 imagemagick,
Description: Linux frame buffer image viewer
 This is an image viewer for Linux frame buffer devices.  It has
 built-in support for a number of common image file formats.  For
 unknown files, it tries to use convert from the ImageMagick package
 as an external converter.
 It also includes fbgs, a Postscript and PDF viewer.

=== debian/rules ===
#!/usr/bin/make -f

export verbose=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND	 = -DHAVE_PROTOTYPES

%:
	dh $@

override_dh_auto_build:
	make -C . prefix=/usr

=== debian/tests/control ===
Test-Command: fbi -V | grep version
Restrictions: superficial

=== debian/watch ===
version=4
https://www.kraxel.org/releases/fbida/ \
	fbida@ANY_VERSION@@ARCHIVE_EXT@
